Beta

Get Workspace

Last updated Nov 19, 2026View as MarkdownAgent setup / MCP
GET
/v1/workspaces/{workspace_id}

Returns one Workspace and its permitted collaboration metadata.

Authorization

headerAuthorizationBearer <token>

A signed-in SMB user's access token. Workspace-scoped operations also require SMB-Workspace-Id.

Path Parameters

workspace_id*string
Formatuuid

Query Parameters

as_of?string
Formatdate-time
expand?array<>
Itemsitems <= 50
fields?array<>
Itemsitems <= 200
id?string
Formatuuid
revision?string
Length1 <= length <= 200

Response Body

data; projection; schema_version; revision; links; provenance when permitted.

application/json
  1. response
as_of*smb_v0_operations_get_workspace_response.__local.Timestamp
Formatdate-time
data*
links?
projection*string
provenance?array<>
request_id*SmbV0OperationsGetBusinessRequestRevision
Length1 <= length <= 200
revision?
schema_hash*smb_v0_operations_get_workspace_response.__local.Digest
Match^sha256:[0-9a-f]{64}$
schema_version*string
Length1 <= length <= 100
curl -X GET 'https://example.com/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08'
{  "as_of": "2019-08-24T14:15:22Z",  "data": {    "archived_at": "2019-08-24T14:15:22Z",    "created_at": "2019-08-24T14:15:22Z",    "created_by_identity_id": "7f2cd75a-e056-42a8-b406-a873783eb761",    "current_revision_id": "e5714292-57d7-4936-a019-416c89b9b32b",    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "name": "string",    "public_id": "string",    "publication_evidence_id": "0539a9d3-f24a-4877-8f98-634767e6f18b",    "publication_status": "private",    "published_at": "2019-08-24T14:15:22Z",    "published_by_identity_id": "b38f3770-a382-4706-b22f-0a01c378af2a",    "record_type": "string",    "schema_version": "string",    "slug": "string",    "status": "active",    "updated_at": "2019-08-24T14:15:22Z"  },  "links": {    "property1": "../dictionary",    "property2": "../dictionary"  },  "projection": "workspace",  "provenance": [    {      "source_id": "ae50a35c-df42-4eff-ba26-f8bc28d2af81"    }  ],  "request_id": "string",  "revision": {    "created_at": "2019-08-24T14:15:22Z",    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "record_id": "8bf519b6-a3e0-49d2-8e42-039542d9a489"  },  "schema_hash": "string",  "schema_version": "string"}